## template:jinja

{%- for reg in map %}
[[registry]]
prefix = "{{reg.name}}"
{% if reg.server %}
location = "{{reg.server.shortname}}"
{% if reg.server.insecure %}
insecure = true
{% endif %}
{% endif %}
{% if reg.mirrors %}
{%- for mirror in reg.mirrors %}
[[registry.mirror]]
location = "{{mirror.shortname}}"
{% if mirror.insecure %}
insecure = true
{% endif %}
{% endfor %}
{% endif %}
{%- endfor %}
